Skip to main content
`Ctrl`+`K`

# pandas.Float32Dtype

class pandas.Float32Dtype

  An ExtensionDtype for float32 data.

  This dtype uses `pd.NA` as missing value indicator.

  Attributes

  None |

  Methods

  None |

  Examples

  For Float32Dtype:

      >>> ser = pd.Series([2.25, pd.NA], dtype=pd.Float32Dtype())
      >>> ser.dtype
      Float32Dtype()

  For Float64Dtype:

      >>> ser = pd.Series([2.25, pd.NA], dtype=pd.Float64Dtype())
      >>> ser.dtype
      Float64Dtype()